# Copyright (C) 2011, Aleksey Lim
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""
sugar-server
------------

Mace configuration:
    :Service:
        ``sugar-server.d``
    :Confiles:
        No
    :Variables:
        No

Final configuration for all distributions:
    :Replaces:
        Yes
    :Files:
        ``/etc/sugar-server.conf``

"""
from libmace.providers import BaseProvider

from libmace import util


class Provider(BaseProvider):

    @property
    def comment(self):
        return '#'

    @property
    def name(self):
        return 'sugar-server'

    def get_requires(self, conftext):
        return ['sugar-server']

    @property
    def service_name(self):
        return 'sugar-server'

    @property
    def files(self):
        return [None]

    def confile(self, filename):
        return '/etc/sugar-server.conf'

    def ensure(self, tran):
        util.assert_call(['/usr/bin/sugar-server', 'setup'])
